Pooled Staking
Get Account Summaries
Retrieve the staking-related account information for multiple delegator addresses within a specific vault. Each address is resolved independently, so a failure for one address does not fail the whole request.
POST
/
api
/
v1
/
staking
/
pool
/
{network}
/
vaults
/
{vaultAddress}
/
accounts
/
list
Get Account Summaries
curl --request POST \
--url https://api.p2p.org/api/api/v1/staking/pool/{network}/vaults/{vaultAddress}/accounts/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delegatorAddresses": [
"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3"
]
}
'import requests
url = "https://api.p2p.org/api/api/v1/staking/pool/{network}/vaults/{vaultAddress}/accounts/list"
payload = { "delegatorAddresses": ["0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb", "0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
delegatorAddresses: [
'0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb',
'0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3'
]
})
};
fetch('https://api.p2p.org/api/api/v1/staking/pool/{network}/vaults/{vaultAddress}/accounts/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"list": [
{
"delegatorAddress": "0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3",
"account": {
"delegatorAddress": "0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3",
"vaultAddress": "0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3",
"stake": {
"assets": "1234.567890",
"totalEarnedAssets": 1234.56789
},
"availableToUnstake": "1234.567890",
"availableToWithdraw": 1234.56789,
"exitQueue": {
"total": 0.09006996785126503,
"requests": [
{
"ticket": "14550213999915345334",
"totalAssets": 1234.56789,
"timestamp": 1749747696000,
"withdrawalTimestamp": 1752500088000,
"isClaimable": true
}
]
}
},
"error": {
"code": 127106,
"message": "The provided delegator address is invalid or not properly formatted."
}
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Ethereum pool network:
- `mainnet` — Ethereum mainnet.
- `hoodi` — Ethereum testnet.
Available options:
mainnet, hoodi Ethereum address of the vault which keeps tokens.
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x4c09BC47db288F998b33CD63BCc1b6ddCCe13F33"
Body
application/json
List of delegator account addresses to query (from 1 to 255). Each address is resolved independently.
Required array length:
1 - 255 elementsPattern:
^0x[a-fA-F0-9]{40}$Example:
[
"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3"
]
Get Account Summaries
